Skip to main content

Deployments

A Deployment is a publish event of a Release to a Cohort.

Request Schema

FieldTypeDescription
type
Required
Stringnormal or staged_rollout
Example: "normal"
release
Required
StringRelease ID or Slug
Example: "1.2.3"
cohort
Required
StringCohort ID or Slug
Example: "beta"
extra_infoJSONExtra data. Memfault won't process this data, but will store it along with the Deployment

Query Parameters

The following parameters can be used to filter Deployments.

Query ParameterTypeDescription
releaseString[]Versions of Releases
Example: release=1.2.3&release=1.2.4
cohortString[]Names of Cohorts
Example: cohort=alpha&cohort=beta
sinceDateTimeDeployed after this date
Example: "2019-01-19T05:01:13.000000+00:00"
untilDateTimeDeployed before this date
Example: "2019-01-19T05:01:13.000000+00:00"
sort
Default: -deployed_date
StringSort keys (listed below)
Example: -deployed_date

Sort Parameters

Sort ParameterTypeDescription
deployed_dateDateTimeDate the Deployment was created

Response Schema

{
"data": {
"id": 1,
"created_date": "2019-01-19T05:01:13.000000+00:00",
"updated_date": "2019-01-19T05:01:13.000000+00:00",
"deployed_date": "2019-01-19T05:01:13.000000+00:00",
"type": "staged_rollout",
"status": "done",
"rollout_percent": 100,
"release": {
"id": 2,
"version": "1.2.3",
"revision": "11d95ef20f7a048ce1da1a6891dd3e2f92c89d85"
},
"cohort": {
"id": 1,
"name": "Beta Channel",
"slug": "beta"
},
"deployer": {
"id": 1,
"email": "user@example.com",
"name": "Robert S"
},
"extra_info": {
"anything": "you_want",
"ci_system": "Jenkins"
}
}
}